Package org.gradle.api.tasks.scala

# Class IncrementalCompileOptions

java.lang.Object
org.gradle.api.tasks.scala.IncrementalCompileOptions

All Implemented Interfaces:
  `Serializable`

@Incubating public class IncrementalCompileOptions extends Object implements Serializable
Options for incremental compilation of Scala code. Only used for compilation with Zinc.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IncrementalCompileOptions()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getAnalysisFile()`
Returns the file path where results of code analysis are to be stored.
`File`
`getPublishedCode()`
Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.
`void`
`setAnalysisFile(File analysisFile)`
Sets the file path where results of code analysis are to be stored.
`void`
`setPublishedCode(File publishedCode)`
Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncrementalCompileOptions

public IncrementalCompileOptions()

## Method Details

### getAnalysisFile

@LocalState public File getAnalysisFile()
Returns the file path where results of code analysis are to be stored.

### setAnalysisFile

public void setAnalysisFile(File analysisFile)
Sets the file path where results of code analysis are to be stored.

### getPublishedCode

@Internal public File getPublishedCode()
Returns the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.

### setPublishedCode

public void setPublishedCode(File publishedCode)
Sets the directory or archive path by which the code produced by this task is published to other `ScalaCompile` tasks.